Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Here is a list of all documented class members with links to the class documentation for each member:

### - m -

- M : faiss::MinSumK< T, SSA, use_seen > , faiss::ProductQuantizer , faiss::OPQMatrix
- maintain_direct_map : faiss::IndexIVF
- make_direct_map() : faiss::IndexIVF
- mallocCurrent_ : faiss::gpu::StackDeviceMemory::Stack
- map : faiss::RemapDimensionsTransform
- max_codes : faiss::IndexIVFPQ
- max_points_per_centroid : faiss::ClusteringParameters
- max_points_per_d : faiss::PCAMatrix
- max_train_points : faiss::OPQMatrix
- maxDiff() : faiss::gpu::HostTensor< T, Dim, Contig, IndexT, PtrTraits >
- maxListLength_ : faiss::gpu::IVFBase
- mean : faiss::PCAMatrix
- memorySpace : faiss::gpu::GpuIndexConfig
- memorySpace_ : faiss::gpu::GpuIndex
- merge_from() : faiss::IndexIVF
- merge_from_residuals() : faiss::IndexIVFPQR , faiss::IndexIVF , faiss::IndexIVFScalarQuantizer , faiss::IndexIVFPQ , faiss::IndexIVFScalarQuantizer , faiss::IndexIVFFlat
- merge_with() : faiss::OperatingPoints
- mergeWarpQ() : faiss::gpu::BlockSelect< K, V, Dir, Comp, NumWarpQ, NumThreadQ, ThreadsPerBlock > , faiss::gpu::WarpSelect< K, V, Dir, Comp, NumWarpQ, NumThreadQ, ThreadsPerBlock >
- metric_type : faiss::Index
- min_points_per_centroid : faiss::ClusteringParameters
- minPagedSize_ : faiss::gpu::GpuIndexFlat
- MultiIndexQuantizer() : faiss::MultiIndexQuantizer